import javax.swing.tree.*;

public class NodeDiagramRef extends DefaultMutableTreeNode
{
	private Diagram _diagram;
	private String _diagramName;
	private DiagramForm _diagramForm;

	public NodeDiagramRef(String name, Diagram diagram, DiagramForm form)
	{
		super(name);
		_diagramName = name;
		_diagram = diagram;
		_diagramForm = form;

		_diagram.setName(_diagramName);
		_diagramForm.setTitle(_diagramName);
		_diagramForm.setVisible(true);

	}

	public Diagram getDiagram()
	{
		return _diagram;
	}

	public void setDiagram(Diagram diagram)
	{
		_diagram = diagram;
	}

	public void setDiagramForm(DiagramForm form)
	{
		_diagramForm = form;
	}

	public DiagramForm getDiagramForm()
	{
		return _diagramForm;
	}

	public String getDiagramName()
	{
		return _diagram.getName();
	}

	public void setDiagramName(String name)
	{
		_diagramName = name;
	}

}